import 'package:diplomaticquarterapp/pages/BookAppointment/BookingOptions.dart';
import 'package:diplomaticquarterapp/pages/ToDoList/ToDo.dart';
import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:eva_icons_flutter/eva_icons_flutter.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import 'bottom_navigation_item.dart';

class BottomNavBar extends StatefulWidget {
  final ValueChanged<int> changeIndex;
  final int index ;
  BottomNavBar({Key key, this.changeIndex,this.index}) : super(key: key);

  @override
  _BottomNavBarState createState() => _BottomNavBarState();
}

class _BottomNavBarState extends State<BottomNavBar> {
  int _index = 0;

  _changeIndex(int index) {
    widget.changeIndex(index);
  }

  @override
  Widget build(BuildContext context) {
    return BottomAppBar(
      elevation: 4,
      shape: CircularNotchedRectangle(),
      color: Colors.white,
      child: Padding(
        padding: EdgeInsets.symmetric(horizontal: 18),
        child: Row(
          mainAxisSize: MainAxisSize.max,
          mainAxisAlignment: MainAxisAlignment.spaceAround,
          children: [
            BottomNavigationItem(
              icon: EvaIcons.home,
              activeIcon: EvaIcons.home,
              changeIndex: _changeIndex,
              index: widget.index,
              currentIndex: 0,
              name: TranslationBase.of(context).home,
            ),
            BottomNavigationItem(
              icon: EvaIcons.list,
              activeIcon: EvaIcons.list,
              changeIndex: _changeIndex,
              index: widget.index,
              currentIndex: 1,
              name: TranslationBase.of(context).medicalProfile,
            ),
//            Expanded(
//              child: SizedBox(
//                height: 50,
//                child: Column(
//                  mainAxisSize: MainAxisSize.min,
//                  mainAxisAlignment: MainAxisAlignment.center,
//                  children: <Widget>[
//                    SizedBox(height: 22),
//                  ],
//                ),
//              ),
//            ),

            // Added Calendar Icon to access book appointment flow
            BottomNavigationItem(
              icon: EvaIcons.calendar,
              activeIcon: EvaIcons.calendarOutline,
              changeIndex: _changeIndex,
              index: _index,
              currentIndex: 4,
              name: TranslationBase.of(context).bookAppo,
            ),

            BottomNavigationItem(
              icon: EvaIcons.person,
              activeIcon: EvaIcons.person,
              changeIndex: _changeIndex,
              index: widget.index,
              currentIndex: 2,
              name: TranslationBase.of(context).mySchedule,
            ),
            BottomNavigationItem(
              icon: EvaIcons.calendar,
              activeIcon: EvaIcons.calendar,
              changeIndex: _changeIndex,
              index: widget.index,
              currentIndex: 3,
              name: TranslationBase.of(context).todoList,
            )
          ],
        ),
      ),
    );
  }

  Future navigateToBookingOptions(context) async {
    Navigator.push(
        context, MaterialPageRoute(builder: (context) => BookingOptions()));
  }

  Future navigateToToDoList(context) async {
    Navigator.push(context, MaterialPageRoute(builder: (context) => ToDo()));
  }
}
